Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - linux-ct

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: linux-ct 4.8.8-1

Git Clone URL: https://aur-dev.archlinux.org/linux-ct.git (read-only)
Package Base: linux-ct
Description: The Linux Kernel patched for HDMI audio support for Cherry Trail based SoCs
Upstream URL: http://www.kernel.org/
Licenses: GPL2
Submitter: basica
Maintainer: basica
Last Packager: basica
Votes: 0
Popularity: 0.000000
First Submitted: 2016-09-17 13:27
Last Updated: 2016-11-18 10:47

Latest Comments

brando56894 commented on 2016-12-23 16:20

Looks like you won't need to maintain this anymore: http://thelinuxworks.blogspot.com/2016/12/a-holiday-gift-from-conexant-alsa.html

basica commented on 2016-10-24 20:23

My bad, forgot to run updpkgsums. You should be right now. I've updated the package accordingly.

DeathKhan commented on 2016-10-24 15:59

I keep getting this error

==> Validating source files with sha256sums...
linux-4.8.tar.xz ... Passed
linux-4.8.tar.sign ... Skipped
patch-4.8.4.xz ... Passed
patch-4.8.4.sign ... Skipped
config ... Passed
config.x86_64 ... Passed
linux.preset ... Passed
cherry.patch ... FAILED
change-default-console-loglevel.patch ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build linux-ct.

basica commented on 2016-09-28 00:32

Hey DeathKhan,

I'm only really concerned about sound support, sorry. Besides that, I am not in a position to test it to see if it works since my cherry trail device doesn't have a sd card slot. Creating a patch yourself should be pretty straightforward though. If you need some pointers, feel free to shoot me an email.

DeathKhan commented on 2016-09-27 18:27

Can you add MicroSD support as well? http://linuxiumcomau.blogspot.com.au/2016/08/micro-sd-card-support-on-intel-compute.html

basica commented on 2016-09-26 02:00

Hey NuSkool, you need to add those public keys to gpg. They're the public keys of Linus and Greg which you don't already seem to have. Obviously verify them yourself to be sure as a security best practice, but instructions on how to add the keys are found here once you've done so:

https://wiki.archlinux.org/index.php/GnuPG#Use_a_keyserver

NuSkool commented on 2016-09-26 01:55

Get the following errors when trying to build with makepkg:

==> Verifying source file signatures with gpg...
linux-4.7.tar ... FAILED (unknown public key 79BE3E4300411886)
patch-4.7.4 ... FAILED (unknown public key 38DBBDC86092693E)
==> ERROR: One or more PGP signatures could not be verified!